#ifndef __UNIT_TESTTESTVECTORSTEST_H_
#define __UNIT_TESTTESTVECTORSTEST_H_

#include "UnitTest.h"
#include "../Definitions.h"

namespace unit_test {

  class TestVectorsTest : public UnitTest {
    private:
      AlleleType *chromosome;
      unsigned int setChromosomeRule30();

    public:
      TestVectorsTest();
      ~TestVectorsTest();
      int run( int argc, char *argv[] );
  };

}

#endif /* __UNIT_TESTTESTVECTORSTEST_H_ */
